"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveLog = void 0;
const promises_1 = __importDefault(require("fs/promises"));
const fs_1 = require("fs");
const path_1 = require("path");
const uuid_1 = require("uuid");
const saveLog = (txt, fileName) => __awaiter(void 0, void 0, void 0, function* () {
    const logsPathDir = (0, path_1.join)(__dirname, '..', 'logs');
    if (!(0, fs_1.existsSync)(logsPathDir)) {
        yield promises_1.default.mkdir(logsPathDir);
    }
    const dateTime = new Date().toLocaleString();
    const message = `${dateTime}\t${(0, uuid_1.v4)()}\t${txt}\n`;
    yield promises_1.default.appendFile((0, path_1.join)(logsPathDir, fileName), message);
});
exports.saveLog = saveLog;
//# sourceMappingURL=saveLog.js.map